@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
    --max-windth: 1920px;
    --font-main: "Inter", sans-serif;

    --container-background-main-color: #D5E1F1;
    --font-main-color: #2F4F9E;
    --call2action-backgrount-color: #78CADD;
    --footer-bg-color: #DBE7F4;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

input[type="checkbox"] {
    accent-color: var(--call2action-backgrount-color);
}

html {
    scroll-behavior: smooth;
}

html,
body {
    margin: 0;
    padding: 0;
    font-family: var(--font-main);
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: var(--font-main-color);
}

a,
a:link,
a:active,
a:visited,
a:hover {
    text-decoration: none;
}

.bold {
    font-weight: bold;
    font-size: 1.2rem;
}

.no-scroll {
    overflow: hidden;
}

header {
    position: fixed;
    top: 0;
    height: 140px;
    width: 100%;
    overflow: hidden;
    background-color: var(--container-background-main-color);
    text-align: center;
    z-index: 1000;
    transition: all .5s ease;
}

.nav-mobile {
    display: none;
}

.nav {
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: calc(100% - 80px);
    max-width: var(--max-windth);
    height: inherit;
}

.nav a img {
    height: 80px;
}

.nav-menu {
    list-style: none;
    display: flex;
}

.nav-menu a li {
    margin: auto;
    padding: 10px;
    min-width: max-content;
}

.nav-menu a,
.nav-menu a:link li,
.nav-menu a:active li {
    text-decoration: none;
    font-weight: bold;
    color: var(--font-main-color);
    font-size: 1.2rem;
    transition: all .3s ease;
    background-color: transparent;
    border-radius: 16px;
}

.nav-menu a:hover li {
    background-color: var(--font-main-color);
    color: #ffffff;
}

main {
    margin-top: 250px;
    width: 100%;
}

main .home {
    position: relative;
    margin: auto;
    padding: 1rem;
    width: calc(100% - 20%);
    max-width: calc(var(--max-windth) - 20%);
    background-image: url("../_imgs/doktorek.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 25px;
}

main .home::after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: " ";
    background-color: #ffffff;
    opacity: .15;
    z-index: 1;
}

main .home h1 {
    position: relative;
    margin: 2rem;
    width: 50%;
    font-size: 2.4rem;
    font-weight: 700;
    z-index: 100;
}

main .home .home-text {
    position: relative;
    margin: 4rem 1rem 3rem 1rem;
    padding: .8rem 1.2rem;
    width: 60%;
    background-color: rgba(255, 255, 255, .8);
    border-radius: 25px;
    z-index: 100;
}

main .call2action {
    position: absolute;
    right: 0;
    bottom: -30px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
}

main .call2action .call-text,
main .call2action .call-btn {
    padding: 1.2rem 1.4rem;
    background-color: var(--call2action-backgrount-color);
    color: #ffffff;
    border: 4px solid #ffffff;
    border-radius: 25px;
    transition: all .2s ease;
}

main .call2action .call-btn {
    position: relative;
    margin: 0 40px 0 14px;
    padding: 10px 24px;
    font-size: 2rem;
    font-weight: 600;

}

main .call2action a:hover .call-btn {
    background-color: var(--font-main-color);
}

section {
    margin: 4rem auto 0 auto;
    width: calc(100% - 20%);
    max-width: calc(var(--max-windth) - 20%);
    scroll-margin-top: 200px;
}

.aboutus .about-container,
.services .services-container,
.whyus .whyus-container {
    display: flex;
    justify-content: space-between;
}

.aboutus .about-container .about-title,
.services .services-container .services-title,
.whyus .whyus-container .whyus-title {
    width: 30%;
    min-width: max-content;
    font-size: 2.4rem;
    font-weight: 800;
}

.aboutus .about-container .about-content,
.services .services-container .services-content,
.whyus .whyus-container .whyus-content {
    width: 70%;
}

.experience .experience-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.references .reference-container {
    max-width: var(--max-windth);
    margin: 4rem auto;
    padding: 0 1rem;
}

.experience .experience-container .experience-title,
.references .reference-container .reference-title {
    width: 100%;
    font-size: 2.4rem;
    font-weight: 800;
}

.experience .experience-container .experience-content {
    width: 60%;
}

.references .reference-container .reference-carousel-container {
    position: relative;
    overflow: hidden;
}

.carousel-track {
    display: flex;
    transition: transform 0.5s ease;
    margin: 1.4rem auto;
}

.testimonial {
    min-width: 20%;
    margin: auto 2.5%;
    aspect-ratio: 1/1;
    padding: 2rem;
    box-sizing: border-box;
    background: var(--container-background-main-color);
    border-radius: 16px;
    cursor: pointer;
    display: flex;
    justify-content: space-around;
    align-items: center;
    transition: transform 0.25s ease, box-shadow 0.25s ease, height 0.4s ease;
}

.testimonial:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 20px -10px rgba(0, 0, 0, 0.35);
}

.nav-t {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    font-size: 2rem;
    cursor: pointer;
    color: #333;
}


.nav-t.prev {
    left: 0.5rem;
}

.nav-t.next {
    right: 0.5rem;
}


.dots {
    display: flex;
    justify-content: center;
    margin-top: 1rem;
}


.dots button {
    padding: 6px;
    width: 2px;
    height: 2px;
    margin: 0 4px;
    border-radius: 50%;
    border: none;
    background: var(--container-background-main-color);
    cursor: pointer;
}


.dots button.active {
    background: var(--font-main-color);
}

.testimonial div,
.testimonial .testimonial-author {
    display: none;
}

.experience .experience-container .experience-content-img {
    border-radius: 25px;
    width: 35%;
    overflow: hidden;
}

.experience .experience-container .experience-content-img img {
    width: 100%;
}

.sub-list {
    color: #47B1CA;
}

.core_values {
    margin: auto;
    padding: 0 50px 50px 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    background-color: var(--container-background-main-color);
    border-radius: 25px;
    max-width: var(--max-windth);
}

.core_values .values-container {
    margin-top: 50px;
    position: relative;
    width: 220px;
    height: 220px;
    border: 4px solid var(--call2action-backgrount-color);
    border-radius: 50%;
    text-align: center;
    background-color: rgba(255, 255, 255, .4);
    color: var(--font-main-color);
    transition: all .2s ease;
}

.core_values .values-container div {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 85%;
    transform: translate(-50%, -50%);
}

.core_values .values-container:hover {
    background-color: var(--font-main-color);
    color: #ffffff;
}

.services .service-content {
    position: relative;
    margin: 4rem auto 0 auto;
    padding: 40px;
    background-color: var(--container-background-main-color);
    border-radius: 25px;
    box-shadow: 0 12px 20px -10px rgba(0, 0, 0, 0.35);
}

.services .service-content .service-title {
    position: absolute;
    top: -33px;
    padding: 1.2rem 1.4rem;
    color: #ffffff;
    background-color: var(--call2action-backgrount-color);
    border: 4px solid #ffffff;
    border-radius: 25px;
}

.experience-overview-container {
    margin: 1rem auto;
    padding: 1rem 1.2rem;
    border: 2px solid var(--font-main-color);
    border-radius: 16px;
    height: 4rem;
    overflow: hidden;
    transition: transform 0.25s ease, box-shadow 0.25s ease, height 0.4s ease;
    cursor: pointer;
}

.experience-overview-container:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 20px -10px rgba(0, 0, 0, 0.35);
}

.experience-overview-name {
    font-size: 1.6rem;
    display: flex;
    justify-content: space-between;
}

.experience-overview-text {
    display: block;
    /*opacity: 0;*/
    transition: opacity 0.4s ease;
}

section.what-we-offer {
    position: relative;
    margin: 1rem auto 0 auto;
    /*width: calc(100% - 20%);
    max-width: var(--max-windth);*/
    width: calc(100% - 20%);
    max-width: calc(var(--max-windth) - 20%);
    height: 720px;
}

.what-we-offer .offer {
    position: absolute;
    left: 30%;
    font-weight: bold;
    font-size: 1.2rem;
}

section.what-we-offer .circular {
    position: absolute;
    left: -360px;
    width: 720px;
    aspect-ratio: 1/1;
    border: 2px solid var(--font-main-color);
    border-radius: 50%;
}

.first,
.second,
.third,
.fourth,
.fifth {
    position: absolute;
    width: 420px;
}

.first {
    left: 380px;
    top: 120px;
    height: 4rem;
}

.second {
    left: 437px;
    top: 240px;
    height: 4rem;
}

.third {
    left: 441px;
    top: 360px;
    height: 4rem;
}

.fourth {
    left: 412px;
    top: 480px;
    height: 4rem;
}

.fifth {
    left: 333px;
    top: 600px;
    height: 3rem;
}

.point {
    position: absolute;
    top: 50%;
    left: -100px;
    transform: translateY(-50%);
    background-color: var(--font-main-color);
    aspect-ratio: 1/1;
    border-radius: 50%;
}

.first .point {
    width: 1.6rem;
}

.second .point {
    width: 1.4rem;
}

.third .point {
    width: 2rem;
}

.fourth .point {
    width: 1.6rem;
}

.fifth .point {
    width: 1.4rem;
}

.contact-title {
    margin: 1.4rem auto;
    font-size: 2rem;
    font-weight: bold;
}

.field {
    display: flex;
    flex-direction: column;
}

.reference-carousel-container {
    position: relative;
    overflow: hidden;
}

.checkbox-field {
    margin-left: auto;
    margin-top: 1rem;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    width: 100%;
    font-size: .8rem;
}

label {
    margin: .4rem 0;
}

input#name,
input#email,
textarea#message {
    padding: 1rem 1.2rem;
    border: 2px solid var(--font-main-color);
    border-radius: 16px;
    height: 4rem;
    font-size: 1rem;
    font-family: var(--font-main);
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: var(--font-main-color);
}

input#name::placeholder,
input#email::placeholder {
    color: var(--font-main-color);
}

textarea#message::placeholder {
    padding-top: .2rem;
    color: var(--font-main-color);
}


button {
    padding: 1.2rem 1.4rem;
    background-color: var(--call2action-backgrount-color);
    color: #ffffff;
    border: 4px solid #ffffff;
    border-radius: 25px;
    transition: all .2s ease;
    font-size: 1.4rem;
    font-weight: 600;
    min-width: max-content;
    cursor: pointer;
}

button:hover {
    background-color: var(--font-main-color);
}

.formMessage {
    text-align: right;
}

footer {
    position: relative;
    bottom: 0;
    margin: 0 auto;
    padding: 0;
    width: 100%;
    background: linear-gradient(to bottom, #fff, var(--container-background-main-color));
    overflow: hidden;
}

.footer-img {
    position: absolute;
    right: 0;
    bottom: 0;
    height: 300px;
    opacity: .2;
    z-index: 1;
}

.footer-img img {
    height: 100%;
}

.footer-container {
    margin: 0 auto;
    padding: 0;
    width: 100%;
    max-width: calc(var(--max-windth) - 20%);
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.footer-logo,
.empty,
.informations,
.contact-footer {
    position: relative;
    margin: 0;
    padding: 2rem;
    width: 25%;
    z-index: 100
}

.informations,
.contact-footer {
    width: 24%;
}

.informations div,
.contact-footer div,
.empty div {
    font-size: 1.2rem;
    opacity: .75;
}

.empty {
    width: 20%;
}

.empty p a svg{
    height: 2.2rem;
}
.empty p a svg path{
     fill: var(--call2action-backgrount-color);
    transition: fill .5s ease;
}

.empty p a svg:hover path{
fill: var(--font-main-color);
}

.footer-logo img {
    width: 100%;
}

footer a,
footer a:link,
footer a:active,
footer a:hover,
footer a:visited {
    text-decoration: none;
    color: var(--font-main-color);
}

.privacy-link {
    font-weight: bold;
    text-decoration: underline;
}

.privacy_policy {
    display: none;
    position: fixed;
    z-index: 1000;
    top: -100vh;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #ffffff;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: all .4s ease;
    overflow: auto;
}

.privacy_policy.active {
    display: block;
    top: 0;
}

.prv_logo {
    margin: 1rem auto;
    height: 150px;
    text-align: center;
}

.prv_logo img {
    height: 100%;
}

.prv {
    margin: 2rem auto;
    padding-bottom: 60px;
    width: 90%;
    max-width: var(--max-windth);
}

.close-prv {
    position: fixed;
    bottom: 0;
    width: 100%;
    margin: 0;
    padding: 1rem 0;
    background-color: var(--call2action-backgrount-color);
    color: #ffffff;
    font-size: 1rem;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
}

.copy {
    margin: 0 auto;
    padding: .4rem 0;
    width: calc(100% - 20%);
    max-width: calc(var(--max-windth) - 20%);
    border-top: 2px solid var(--font-main-color);
    text-align: center;
    font-size: .8rem;
}

@media (max-width:1110px) {
    header {
        background-color: #ffffff;
    }

    header.active {
        height: 555px;
    }

    .nav {
        display: none;
    }

    .nav-mobile {
        display: flex;
        margin: auto;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        flex-wrap: wrap;
    }

    .mobile-logo {
        width: calc(100% - 151px);
        padding: 0 0 0 40px;
        text-align: left;
    }

    .mobile-logo img {
        max-height: 70px;
        max-width: 100%;
    }

    .mobile-menu-btn {
        height: 150px;
        width: 150px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .mobile-btn {
        position: relative;
        width: 80px;
        height: 80px;
        border-radius: 50%;
        overflow: hidden;
        background-color: var(--call2action-backgrount-color);
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        z-index: 1000;
    }

    .mobile-btn div {
        margin: 4px auto;
        width: 60%;
        height: 4px;
        border: 4px solid #ffffff;
        border-radius: 4px;
        transition: all .4s ease;
    }

    .mobile-btn.active div:nth-child(1) {
        transform: rotate(45deg) translate(11px, 11px);
    }

    .mobile-btn.active div:nth-child(2) {
        opacity: 0;
    }

    .mobile-btn.active div:nth-child(3) {
        transform: rotate(-45deg) translate(11px, -11px);
    }

    .mobile-menu {
        display: flex;
        width: 100%;
        height: max-content;
        background: #ffffff;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        transition: all .4s ease;
    }

    .mobile-menu.active {
        height: max-content;
    }

    .nav-mobile-menu {
        padding: 0;
        list-style: none;
    }


    .nav-mobile-menu a li {
        margin: 1rem 10px;
        padding: 10px;
        border: 2px solid var(--font-main-color);
        border-radius: 10px;
        width: 200px;
    }

    .nav-mobile-menu a,
    .nav-mobile-menu a:link li,
    .nav-mobile-menu a:active li {
        text-decoration: none;
        font-weight: bold;
        color: var(--font-main-color);
        font-size: 1.2rem;
        transition: all .3s ease;
        background-color: transparent;
    }

    .nav-mobile-menua:hover li {
        background-color: var(--font-main-color);
        color: #ffffff;
    }
}

@media (max-width:960px) {
    section.what-we-offer {
        height: auto;
    }

    .what-we-offer .offer {
        position: relative;
        left: 0;
    }

    section.what-we-offer .circular {
        display: none;
    }

    .point {
        display: none;
    }

    .first,
    .second,
    .third,
    .fourth,
    .fifth {
        position: relative;
        width: 100%;
        margin-top: 1rem;
        left: 0;
        top: 0;
        height: auto;
    }

    .checkbox-field {
        width: 100%;
    }

    .aboutus .about-container,
    .services .services-container,
    .experience .experience-container,
    .whyus .whyus-container {
        display: block;
    }

    .aboutus .about-container .about-content,
    .services .services-container .services-content,
    .experience .experience-container .experience-content,
    .whyus .whyus-container .whyus-content {
        width: 100%;
    }

    .experience .experience-container .experience-content-img {
        width: 100%;
    }

    main {
        margin-top: 150px;
    }

    main .home .home-text {
        margin: 5rem auto;
        width: 100%;
    }

    .footer-container {
        flex-direction: column;
    }

    .informations,
    .contact-footer,
    .empty {
        width: 100%;
    }

    .footer-logo {
        width: 100%;
        text-align: center;
    }

    .footer-logo img {
        width: 50%;
    }

    .experience-overview-container {
        height: 6rem;
    }

    main .call2action .call-btn {
        margin: 0 0 0 14px;
    }
}

@media (max-width:425px) {
    .core_values .values-container {
        width: 100%;
        border-radius: 25px;
    }
}

@media (max-width:417px) {
    .lines-7 {
        height: 8rem;
    }
}

@media (max-width:349px) {
    .lines-6 {
        height: 8rem;
    }

    .lines-7 {
        height: 10rem;
    }
}

@media (max-width:1230px) {
    .testimonial {
        min-width: 40%;
        margin: auto 5%;
        aspect-ratio: 2/1;
        min-height: 200px;
    }
}

@media (max-width:640px) {
    .testimonial {
        min-width: 90%;
        margin: auto 5%;
    }
}

#lightboxOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.lightboxContent {
    background: var(--container-background-main-color);
    padding: 2rem 4rem;
    max-width: 800px;
    width: 90%;
    max-height: 90%;
    overflow-y: auto;
    position: relative;
    border-radius: 16px;
}

#closeLightbox {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 2rem;
    background: none;
    border: none;
    cursor: pointer;
    color: var(--font-main-color);
}

#lightboxInner {
    font-size: 1rem;
}

#lightboxInner .testimonial-short,
#lightboxInner .testimonial-author {
    font-size: 1.2rem;
    font-weight: bold;
}